Skip to content

CDN Access Log Aggregation Query.

POST
/api/cdn/namespaces/{namespace}/cdn_loadbalancer/access_logs/aggregation
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/cdn_loadbalancer/access_logs/aggregation \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "aggs": {}, "end_time": "example", "namespace": "example", "query": [ { "operator": "CDN_ACCESS_LOG_OPERATOR_TYPE_IN", "tag": "CDN_NAME", "values": [ "example" ] } ], "start_time": "example" }'

Request to GET summary/analytics data for the CDN access logs that matches the query in request for a given namespace.

Examples of this operation.

namespace
required
string

Namespace GET aggregation data for a given namespace.

Media typeapplication/json
CDNAccessLogAggregationRequest

Request to GET only aggregation data for access logs.

object
aggs
aggregations

Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregations are key’ed by user-defined aggregation name. The response will be key’ed with the same name. Optional.

object
end_time
end time

Fetch access logs whose timestamp <= end_time format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
namespace
namespace

GET aggregation data for a given namespace.

string
>= 6 characters <= 1024 characters
query
Access Logs Filter options

CDN Access Logs filter OPTIONS.

Array<object>
Access Log filter fields

CDN Access log filter OPTIONS.

object
operator
string
default: CDN_ACCESS_LOG_OPERATOR_TYPE_IN
Allowed values: CDN_ACCESS_LOG_OPERATOR_TYPE_IN CDN_ACCESS_LOG_OPERATOR_TYPE_NOT_IN
tag
string
default: CDN_NAME
Allowed values: CDN_NAME SITE_NAME METHOD REQ_PATH RSP_CODE USER_AGENT SCHEME COUNTRY CACHE_STATUS RSP_CONTENT_TYPE HOST_HEADER REFERER SNI UPSTREAM_STATUS RSP_CODE_CLASS SRC_IP TLS_VERSION REQ_SIZE HTTP_VERSION CITY_NAME UPSTREAM_ADDR
values
Filter values

Filter values Required: YES.

Array<string>
<= 32 items
start_time
start time

Fetch access logs whose timestamp >= start_time format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
CDNLogAggregationResponse

Response message for CDNAccessLogAggregationRequest.

object
aggs
aggregations

Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.

object
total_hits
total hits

Total number of log messages that matched the query.

string format: uint64
<= 1024 characters
Examplegenerated
{
"aggs": {},
"total_hits": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example